import java.awt.*;
import java.awt.image.*;
import java.io.*;
import javax.imageio.*;
import javax.swing.*;
import javax.swing.text.*;

public class RasterObject implements Malbar {
    // TODO: privat machen!
    Image imageData;
    Point rasterpos;

    public RasterObject(String type) {
        try {
            imageData = ImageIO.read(new File(type));
        } catch (IOException e) {
            System.out.println("Load Image Error: "+e);
        }
        rasterpos = new Point(0,0);
    }
    
    public void setPosition(int rx, int ry) {
        rasterpos.x = rx;
        rasterpos.y = ry;
    }
    
    public void move(String command) {
        if(command.equals("down")) {
            rasterpos.y = rasterpos.y + 1;
        }
        if(command.equals("up")) {
            rasterpos.y = rasterpos.y - 1;
        }
        if(command.equals("left")) {
            rasterpos.x = rasterpos.x - 1;
        }
        if(command.equals("right")) {
            rasterpos.x = rasterpos.x + 1;
        }
    }
    
    public void paint(Graphics g) {
        paintAt(g,rasterpos.x,rasterpos.y);
    }

    public void paintAt(Graphics g, int rx, int ry) {
        if(imageData != null) {
            g.drawImage(imageData, rx*40, ry*40, null);
        } else {
            System.out.println("Draw Raster Image Error!");
        }
    }
    
}
