import java.awt.*;

public class SpielfeldLayer implements Malbar {
    // TODO: Sichtbarkeit einschränken
    int layerwidth, layerheight; // breite und hoehe
    Malbar[][] raster;

    public SpielfeldLayer(int w, int h) {
        // TODO: w und h dürfen nicht kleiner als 1 sein!
        this.layerwidth = w;
        this.layerheight = h;
        raster = new Malbar[layerwidth][layerheight];
    }

    public void addObjectAt(Malbar m, int x, int y) {
        // TODO: x und y muessen innerhalb des rasters liegen
        raster[x][y] = m;
    }

    public Malbar getObjectAt(int x, int y) {
        return raster[x][y];
    }

    public Point getCoordinatesOf(Malbar m) {
        Point result = null;
        for(int yi = 0; yi < layerheight; yi++) {
            for(int xi = 0; xi < layerwidth; xi++) {
                if(raster[xi][yi] == m) {
                    result = new Point(xi,yi);
                }
            }
        }
        return result;
    }

    public void paint(Graphics g) {
        paintAt(g,0,0);
    }
    
    public void paintAt(Graphics g, int rx, int ry) {
        for(int yi = 0; yi < layerheight; yi++) {
            for(int xi = 0; xi < layerwidth; xi++) {
                if(raster[xi][yi] != null) {
                    raster[xi][yi].paintAt(g,xi,yi);
                }
            }
        }
        
    }
    
    public String toString() {
        String result = "";
        for(int yi = 0; yi < layerheight; yi++) {
            for(int xi = 0; xi < layerwidth; xi++) {
                if(raster[xi][yi] == null) {
                    result = result+".";
                } else {
                    result = result + raster[xi][yi].toString();
                }
            }
            result = result+System.getProperty("line.separator");
        }
        return result;
    }
}
